tntdb::ConnectionPools Class Reference

## Classes

struct | ConnectionParameter

## Public Types

typedef ConnectionPool | PoolType
typedef std::map< ConnectionParameter, PoolType * > | PoolsType

## Public Member Functions

| ConnectionPools (unsigned maxcount_=0)
Connection | connect (const std::string &url, const std::string &username, const std::string &password)
unsigned | drop (unsigned keep=0)
| Release unused connections; keep the given number of connections.
unsigned | drop (const std::string &url, const std::string &username, const std::string &password, unsigned keep=0)
| Release unused connections with the given database url; keep the given number of connections.
unsigned | getMaximumSize ()
void | setMaximumSize (unsigned m)
unsigned | getCurrentSize (const std::string &url, const std::string &username, const std::string &password) const
unsigned | getCurrentSize () const

## Member Function Documentation

## drop() [1/2]

unsigned tntdb::ConnectionPools::drop | ( | const std::string & | url,
|  | const std::string & | username,
|  | const std::string & | password,
|  | unsigned | keep = `0`
| ) |  |

Release unused connections with the given database url; keep the given number of connections.

## drop() [2/2]

unsigned tntdb::ConnectionPools::drop | ( | unsigned | keep = `0` | ) |

Release unused connections; keep the given number of connections.

The documentation for this class was generated from the following file:

- tntdb/connectionpool.h